#ifndef __ASM_ARM_PLATFORMS_XILINX_VERSAL_MM_H
#define __ASM_ARM_PLATFORMS_XILINX_VERSAL_MM_H

/*
 * Selected set of memory mapped definitions of device nodes.
 */
#define MM_DEV_ACPU_0           (0xfd5c0000U)
#define MM_DEV_ACPU_1           (0xfd5c0000U)
#define MM_DEV_RPU0_0           (0xff9a0000U)
#define MM_DEV_RPU0_1           (0xff9a0000U)
#define MM_DEV_OCM_0            (0xff960000U)
#define MM_DEV_OCM_1            (0xff960000U)
#define MM_DEV_OCM_2            (0xff960000U)
#define MM_DEV_OCM_3            (0xff960000U)
#define MM_DEV_TCM_0_A          (0xffe00000U)
#define MM_DEV_TCM_0_B          (0xffe20000U)
#define MM_DEV_TCM_1_A          (0xffe90000U)
#define MM_DEV_TCM_1_B          (0xffeb0000U)
#define MM_DEV_L2_BANK_0        (0U)
#define MM_DEV_DDR_0            (0U)
#define MM_DEV_USB_0            (0xff9d0000U)
#define MM_DEV_GEM_0            (0xff0c0000U)
#define MM_DEV_GEM_1            (0xff0d0000U)
#define MM_DEV_SPI_0            (0xff040000U)
#define MM_DEV_SPI_1            (0xff050000U)
#define MM_DEV_I2C_0            (0xff020000U)
#define MM_DEV_I2C_1            (0xff030000U)
#define MM_DEV_CAN_FD_0         (0xff060000U)
#define MM_DEV_CAN_FD_1         (0xff070000U)
#define MM_DEV_UART_0           (0xff000000U)
#define MM_DEV_UART_1           (0xff010000U)
#define MM_DEV_GPIO             (0xff0b0000U)
#define MM_DEV_TTC_0            (0xff0e0000U)
#define MM_DEV_TTC_1            (0xff0f0000U)
#define MM_DEV_TTC_2            (0xff100000U)
#define MM_DEV_TTC_3            (0xff110000U)
#define MM_DEV_SWDT_LPD         (0xff120000U)
#define MM_DEV_SWDT_FPD         (0xfd4d0000U)
#define MM_DEV_OSPI             (0xf1010000U)
#define MM_DEV_QSPI             (0xf1030000U)
#define MM_DEV_GPIO_PMC         (0xf1020000U)
#define MM_DEV_I2C_PMC          (0xf1000000U)
#define MM_DEV_SDIO_0           (0xf1040000U)
#define MM_DEV_SDIO_1           (0xf1050000U)
#define MM_DEV_PL_0             (0U)
#define MM_DEV_PL_1             (0U)
#define MM_DEV_PL_2             (0U)
#define MM_DEV_PL_3             (0U)
#define MM_DEV_RTC              (0xf12a0000U)
#define MM_DEV_ADMA_0           (0xffa80000U)
#define MM_DEV_ADMA_1           (0xffa90000U)
#define MM_DEV_ADMA_2           (0xffaa0000U)
#define MM_DEV_ADMA_3           (0xffab0000U)
#define MM_DEV_ADMA_4           (0xffac0000U)
#define MM_DEV_ADMA_5           (0xffad0000U)
#define MM_DEV_ADMA_6           (0xffae0000U)
#define MM_DEV_ADMA_7           (0xffaf0000U)
#define MM_DEV_IPI_0            (0xff330000U)
#define MM_DEV_IPI_1            (0xff340000U)
#define MM_DEV_IPI_2            (0xff350000U)
#define MM_DEV_IPI_3            (0xff360000U)
#define MM_DEV_IPI_4            (0xff370000U)
#define MM_DEV_IPI_5            (0xff380000U)
#define MM_DEV_IPI_6            (0xff3a0000U)
#define MM_DEV_DDRMC_0          (0xf6110000U)
#define MM_DEV_DDRMC_1          (0xf6280000U)
#define MM_DEV_DDRMC_2          (0xf63f0000U)
#define MM_DEV_DDRMC_3          (0xf6560000U)
#define MM_DEV_GT_0             (0xf6890000U)
#define MM_DEV_GT_1             (0xf68f0000U)
#define MM_DEV_GT_2             (0xf6940000U)
#define MM_DEV_GT_3             (0xf6990000U)
#define MM_DEV_GT_4             (0xf69e0000U)
#define MM_DEV_GT_5             (0xf6a30000U)
#define MM_DEV_GT_6             (0xf6a90000U)
#define MM_DEV_GT_7             (0xf70e0000U)
#define MM_DEV_GT_8             (0xf7150000U)
#define MM_DEV_GT_9             (0xf71b0000U)
#define MM_DEV_GT_10            (0xf7210000U)
#define MM_DEV_EFUSE_CACHE      (0xf1250000U)
#define MM_DEV_AMS_ROOT         (0xf1270000U)

#endif /* __ASM_ARM_PLATFORMS_XILINX_VERSAL_MM_H */
